package com.example.fieldagent.data.models.responses

import com.google.gson.annotations.SerializedName

data class InspectionData (
    val status: Long? = null,
    val success: Boolean? = null,
    val message: String? = null,
    val data: ListData? = null
)


data class ListData (
    val inspections: ArrayList<InspectionList>? = null,
    val pagination: Pagination? = null
)

data class InspectionList (
    val id: Long? = null,
    val userID: Long? = null,
    val name: String? = null,
    val location: String? = null,
    val mosqueAuthority: String? = null,
    val supervisorPhoneNumber: String? = null,
    val siteCondition: String? = null,
    val area: String? = null,
    val womenPrayerArea: Boolean? = null,
    val totalWorshippersCapacity: Long? = null,
    val totalRestrooms: Long? = null,
    val restroomCondition: String? = null,
    val vat: String? = null,

    @SerializedName("unique_hash")
    val uniqueHash: String? = null,
    val image: String? = null,
    val isCompleted: Boolean? = null,
    val isDeleted: Boolean? = null,
    val createdAt: String? = null,
    val updatedAt: String? = null,
    val damages: ArrayList<Damage>? = null
)

data class Damage (
    val id: Long? = null,
    val name: String? = null,
    val inspectionID: Long? = null,
    val subCategoryID: Long? = null,
    @SerializedName("item_quantity")
    val itemQuantity: Long = 0,
    @SerializedName("item_value")
    val itemValue: Long = 0,
    val images: List<String>? = null,
    val isDeleted: Boolean? = null,
    val createdAt: String? = null,
    val updatedAt: String? = null,
    @SerializedName("subcategory_id")
    val subcategoryID: Long? = null,
    @SerializedName("subcategory_name")
    val subcategoryName: String? = null,
    val unit: String? = null,

    @SerializedName("category_id")
    val categoryID: Long? = null,
    @SerializedName("category_name")
    val categoryName: String? = null
)

data class Pagination (
    val total: Long? = null,
    val page: Long? = null,
    val limit: Long? = null,
    val totalPages: Long? = null,
    val hasNextPage: Boolean? = null,
    val hasPrevPage: Boolean? = null
)
