package com.example.fieldagent.ui

import android.content.Intent
import android.os.Bundle
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import androidx.lifecycle.lifecycleScope
import com.example.fieldagent.R
import com.example.fieldagent.databinding.ActivityLoginBinding
import com.example.fieldagent.databinding.ActivitySplashBinding
import com.example.fieldagent.ui.homescreen.HomeActivity
import com.example.fieldagent.ui.login.LoginActivity
import com.example.fieldagent.utils.IS_LOGIN
import com.example.fieldagent.utils.PrefsManager
import dagger.hilt.android.AndroidEntryPoint
import kotlinx.coroutines.time.delay
import javax.inject.Inject

import androidx.lifecycle.lifecycleScope
import kotlinx.coroutines.delay
import kotlinx.coroutines.launch

@AndroidEntryPoint
class SplashActivity : AppCompatActivity() {

    private lateinit var binding: ActivitySplashBinding

    @Inject
    lateinit var prefsManager: PrefsManager
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivitySplashBinding.inflate(layoutInflater)
        setContentView(binding.root)

        initialize()
    }

    private fun initialize(){

        lifecycleScope.launch {
            delay(1500)
            if(prefsManager.getBoolean(IS_LOGIN,false)){
                val intent = Intent(this@SplashActivity, HomeActivity::class.java)
                startActivity(intent)
                finish()
            }else{
                val intent = Intent(this@SplashActivity, LoginActivity::class.java)
                startActivity(intent)
                finish()
            }
        }

    }
}